Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
204c::/16
First address
204c::
Last address
204c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
204c:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
c.4.0.2.ip6.arpa
Split into smaller subnets/24

204c::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1204c::/24204c:ff:ffff:ffff:ffff:ffff:ffff:ffff
2204c:100::/24204c:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3204c:200::/24204c:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4204c:300::/24204c:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5204c:400::/24204c:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6204c:500::/24204c:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7204c:600::/24204c:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8204c:700::/24204c:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9204c:800::/24204c:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10204c:900::/24204c:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11204c:a00::/24204c:aff:ffff:ffff:ffff:ffff:ffff:ffff
12204c:b00::/24204c:bff:ffff:ffff:ffff:ffff:ffff:ffff
13204c:c00::/24204c:cff:ffff:ffff:ffff:ffff:ffff:ffff
14204c:d00::/24204c:dff:ffff:ffff:ffff:ffff:ffff:ffff
15204c:e00::/24204c:eff:ffff:ffff:ffff:ffff:ffff:ffff
16204c:f00::/24204c:fff:ffff:ffff:ffff:ffff:ffff:ffff
17204c:1000::/24204c:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18204c:1100::/24204c:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19204c:1200::/24204c:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20204c:1300::/24204c:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21204c:1400::/24204c:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22204c:1500::/24204c:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23204c:1600::/24204c:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24204c:1700::/24204c:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25204c:1800::/24204c:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26204c:1900::/24204c:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27204c:1a00::/24204c:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28204c:1b00::/24204c:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29204c:1c00::/24204c:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30204c:1d00::/24204c:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31204c:1e00::/24204c:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32204c:1f00::/24204c:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33204c:2000::/24204c:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34204c:2100::/24204c:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35204c:2200::/24204c:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36204c:2300::/24204c:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37204c:2400::/24204c:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38204c:2500::/24204c:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39204c:2600::/24204c:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40204c:2700::/24204c:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41204c:2800::/24204c:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42204c:2900::/24204c:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43204c:2a00::/24204c:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44204c:2b00::/24204c:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45204c:2c00::/24204c:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46204c:2d00::/24204c:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47204c:2e00::/24204c:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48204c:2f00::/24204c:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49204c:3000::/24204c:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50204c:3100::/24204c:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51204c:3200::/24204c:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52204c:3300::/24204c:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53204c:3400::/24204c:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54204c:3500::/24204c:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55204c:3600::/24204c:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56204c:3700::/24204c:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57204c:3800::/24204c:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58204c:3900::/24204c:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59204c:3a00::/24204c:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60204c:3b00::/24204c:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61204c:3c00::/24204c:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62204c:3d00::/24204c:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63204c:3e00::/24204c:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64204c:3f00::/24204c:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65204c:4000::/24204c:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66204c:4100::/24204c:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67204c:4200::/24204c:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68204c:4300::/24204c:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69204c:4400::/24204c:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70204c:4500::/24204c:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71204c:4600::/24204c:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72204c:4700::/24204c:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73204c:4800::/24204c:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74204c:4900::/24204c:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75204c:4a00::/24204c:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76204c:4b00::/24204c:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77204c:4c00::/24204c:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78204c:4d00::/24204c:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79204c:4e00::/24204c:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80204c:4f00::/24204c:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81204c:5000::/24204c:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82204c:5100::/24204c:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83204c:5200::/24204c:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84204c:5300::/24204c:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85204c:5400::/24204c:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86204c:5500::/24204c:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87204c:5600::/24204c:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88204c:5700::/24204c:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89204c:5800::/24204c:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90204c:5900::/24204c:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91204c:5a00::/24204c:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92204c:5b00::/24204c:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93204c:5c00::/24204c:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94204c:5d00::/24204c:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95204c:5e00::/24204c:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96204c:5f00::/24204c:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97204c:6000::/24204c:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98204c:6100::/24204c:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99204c:6200::/24204c:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100204c:6300::/24204c:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101204c:6400::/24204c:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102204c:6500::/24204c:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103204c:6600::/24204c:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104204c:6700::/24204c:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105204c:6800::/24204c:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106204c:6900::/24204c:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107204c:6a00::/24204c:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108204c:6b00::/24204c:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109204c:6c00::/24204c:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110204c:6d00::/24204c:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111204c:6e00::/24204c:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112204c:6f00::/24204c:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113204c:7000::/24204c:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114204c:7100::/24204c:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115204c:7200::/24204c:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116204c:7300::/24204c:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117204c:7400::/24204c:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118204c:7500::/24204c:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119204c:7600::/24204c:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120204c:7700::/24204c:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121204c:7800::/24204c:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122204c:7900::/24204c:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123204c:7a00::/24204c:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124204c:7b00::/24204c:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125204c:7c00::/24204c:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126204c:7d00::/24204c:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127204c:7e00::/24204c:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128204c:7f00::/24204c:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129204c:8000::/24204c:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130204c:8100::/24204c:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131204c:8200::/24204c:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132204c:8300::/24204c:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133204c:8400::/24204c:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134204c:8500::/24204c:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135204c:8600::/24204c:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136204c:8700::/24204c:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137204c:8800::/24204c:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138204c:8900::/24204c:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139204c:8a00::/24204c:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140204c:8b00::/24204c:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141204c:8c00::/24204c:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142204c:8d00::/24204c:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143204c:8e00::/24204c:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144204c:8f00::/24204c:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145204c:9000::/24204c:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146204c:9100::/24204c:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147204c:9200::/24204c:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148204c:9300::/24204c:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149204c:9400::/24204c:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150204c:9500::/24204c:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151204c:9600::/24204c:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152204c:9700::/24204c:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153204c:9800::/24204c:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154204c:9900::/24204c:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155204c:9a00::/24204c:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156204c:9b00::/24204c:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157204c:9c00::/24204c:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158204c:9d00::/24204c:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159204c:9e00::/24204c:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160204c:9f00::/24204c:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161204c:a000::/24204c:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162204c:a100::/24204c:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163204c:a200::/24204c:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164204c:a300::/24204c:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165204c:a400::/24204c:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166204c:a500::/24204c:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167204c:a600::/24204c:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168204c:a700::/24204c:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169204c:a800::/24204c:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170204c:a900::/24204c:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171204c:aa00::/24204c:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172204c:ab00::/24204c:abff:ffff:ffff:ffff:ffff:ffff:ffff
173204c:ac00::/24204c:acff:ffff:ffff:ffff:ffff:ffff:ffff
174204c:ad00::/24204c:adff:ffff:ffff:ffff:ffff:ffff:ffff
175204c:ae00::/24204c:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176204c:af00::/24204c:afff:ffff:ffff:ffff:ffff:ffff:ffff
177204c:b000::/24204c:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178204c:b100::/24204c:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179204c:b200::/24204c:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180204c:b300::/24204c:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181204c:b400::/24204c:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182204c:b500::/24204c:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183204c:b600::/24204c:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184204c:b700::/24204c:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185204c:b800::/24204c:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186204c:b900::/24204c:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187204c:ba00::/24204c:baff:ffff:ffff:ffff:ffff:ffff:ffff
188204c:bb00::/24204c:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189204c:bc00::/24204c:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190204c:bd00::/24204c:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191204c:be00::/24204c:beff:ffff:ffff:ffff:ffff:ffff:ffff
192204c:bf00::/24204c:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193204c:c000::/24204c:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194204c:c100::/24204c:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195204c:c200::/24204c:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196204c:c300::/24204c:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197204c:c400::/24204c:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198204c:c500::/24204c:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199204c:c600::/24204c:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200204c:c700::/24204c:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201204c:c800::/24204c:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202204c:c900::/24204c:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203204c:ca00::/24204c:caff:ffff:ffff:ffff:ffff:ffff:ffff
204204c:cb00::/24204c:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205204c:cc00::/24204c:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206204c:cd00::/24204c:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207204c:ce00::/24204c:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208204c:cf00::/24204c:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209204c:d000::/24204c:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210204c:d100::/24204c:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211204c:d200::/24204c:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212204c:d300::/24204c:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213204c:d400::/24204c:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214204c:d500::/24204c:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215204c:d600::/24204c:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216204c:d700::/24204c:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217204c:d800::/24204c:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218204c:d900::/24204c:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219204c:da00::/24204c:daff:ffff:ffff:ffff:ffff:ffff:ffff
220204c:db00::/24204c:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221204c:dc00::/24204c:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222204c:dd00::/24204c:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223204c:de00::/24204c:deff:ffff:ffff:ffff:ffff:ffff:ffff
224204c:df00::/24204c:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225204c:e000::/24204c:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226204c:e100::/24204c:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227204c:e200::/24204c:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228204c:e300::/24204c:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229204c:e400::/24204c:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230204c:e500::/24204c:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231204c:e600::/24204c:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232204c:e700::/24204c:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233204c:e800::/24204c:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234204c:e900::/24204c:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235204c:ea00::/24204c:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236204c:eb00::/24204c:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237204c:ec00::/24204c:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238204c:ed00::/24204c:edff:ffff:ffff:ffff:ffff:ffff:ffff
239204c:ee00::/24204c:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240204c:ef00::/24204c:efff:ffff:ffff:ffff:ffff:ffff:ffff
241204c:f000::/24204c:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242204c:f100::/24204c:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243204c:f200::/24204c:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244204c:f300::/24204c:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245204c:f400::/24204c:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246204c:f500::/24204c:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247204c:f600::/24204c:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248204c:f700::/24204c:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249204c:f800::/24204c:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250204c:f900::/24204c:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251204c:fa00::/24204c:faff:ffff:ffff:ffff:ffff:ffff:ffff
252204c:fb00::/24204c:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253204c:fc00::/24204c:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254204c:fd00::/24204c:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255204c:fe00::/24204c:feff:ffff:ffff:ffff:ffff:ffff:ffff
256204c:ff00::/24204c:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses